# Uses of Interface
org.apache.qpid.proton.codec.WritableBuffer

Packages that use WritableBuffer
Package
Description
org.apache.qpid.proton.amqp
org.apache.qpid.proton.codec
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.message
org.apache.qpid.proton.message.impl

## Uses of WritableBuffer in org.apache.qpid.proton.amqp

Methods in org.apache.qpid.proton.amqp with parameters of type WritableBuffer
Modifier and Type
Method
Description
`void`
Symbol.`writeTo(WritableBuffer buffer)`

## Uses of WritableBuffer in org.apache.qpid.proton.codec

Classes in org.apache.qpid.proton.codec that implement WritableBuffer
Modifier and Type
Class
Description
`class`
`CompositeWritableBuffer`
`class`
`DroppingWritableBuffer`
`static class`
`WritableBuffer.ByteBufferWrapper`
Methods in org.apache.qpid.proton.codec that return WritableBuffer
Modifier and Type
Method
Description
`WritableBuffer`
EncoderImpl.`getBuffer()`
Methods in org.apache.qpid.proton.codec with parameters of type WritableBuffer
Modifier and Type
Method
Description
`CompositeReadableBuffer`
CompositeReadableBuffer.`get(WritableBuffer target)`
`ReadableBuffer`
ReadableBuffer.ByteBufferReader.`get(WritableBuffer target)`
`ReadableBuffer`
ReadableBuffer.`get(WritableBuffer target)`
Copy data from this buffer to the target buffer starting from the current position and continuing until either this buffer's remaining bytes are consumed or the target is full.
`void`
EncoderImpl.`setByteBuffer(WritableBuffer buf)`
Constructors in org.apache.qpid.proton.codec with parameters of type WritableBuffer
Modifier
Constructor
Description
``
`CompositeWritableBuffer(WritableBuffer first, WritableBuffer second)`

## Uses of WritableBuffer in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine with parameters of type WritableBuffer
Modifier and Type
Method
Description
`int`
Receiver.`recv(WritableBuffer buffer)`
Receive message data for the current delivery.

## Uses of WritableBuffer in org.apache.qpid.proton.engine.impl

Classes in org.apache.qpid.proton.engine.impl that implement WritableBuffer
Modifier and Type
Class
Description
`class`
`FrameWriterBuffer`
Methods in org.apache.qpid.proton.engine.impl with parameters of type WritableBuffer
Modifier and Type
Method
Description
`int`
ReceiverImpl.`recv(WritableBuffer buffer)`

## Uses of WritableBuffer in org.apache.qpid.proton.message

Methods in org.apache.qpid.proton.message with parameters of type WritableBuffer
Modifier and Type
Method
Description
`int`
Message.`encode(WritableBuffer buffer)`
Encodes the current Message contents into the given `WritableBuffer` instance.
`int`
ProtonJMessage.`encode(WritableBuffer buffer)`

## Uses of WritableBuffer in org.apache.qpid.proton.message.impl

Methods in org.apache.qpid.proton.message.impl with parameters of type WritableBuffer
Modifier and Type
Method
Description
`int`
MessageImpl.`encode(WritableBuffer buffer)`